Xfce Forum

Sub domains
 

You are not logged in.

#1 2006-08-31 21:19:00

pedro.flor
Member
Registered: 2006-08-31
Posts: 1

xfce4-panel-1.0.pc missing with xfce4-4.3.90.2-installer.bin

Hello guys,
Im using xfce from xfce4-4.3.90.2-installer.bin
FC5 Linux
When i try to install xfce4-battery-plugin-0.3.0 (xfce-goodies)
i get this error
"Package xfce4-panel-1.0 was not found in the pkg-config search path."

The problem is not  PKG_CONFIG_PATH environment variable. The real problem is that xfce4-4.3.90.2-installer.bin does not provide the xfce4-panel-1.0.pc file.
That file is needed by battery plugin.

Resarching, i found that "xfce4-4.2.3.2-installer.bin" provides the "xfce4-panel-1.0.pc"  file.

P.D.
Sorry about my ugly english, and thanks for your time.

Offline

#2 2006-09-01 04:17:36

s0ulslack
Moderator
From: Idaho
Registered: 2005-12-25
Posts: 291

Re: xfce4-panel-1.0.pc missing with xfce4-4.3.90.2-installer.bin

The file isn't missing things just changed and your using an older version of the plugin.  As you may or may not know, the panel was rewrote in 4.4 for many reasons.  This of course, breaks the old API for the 4.2 stuff afaik/recall.  For updated (mostly) plugins that work in 4.4, checkout the snapshots available at http://xfce.org/~elangelo/xfce-snapshots/goodies/

Offline

#3 2006-09-01 12:35:43

Nick
Dev
From: ~
Registered: 2005-02-17
Posts: 1,144
Website

Re: xfce4-panel-1.0.pc missing with xfce4-4.3.90.2-installer.bin

Offline

Board footer

Powered by FluxBB